petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatNullSpaceDestroy

Destroys a data structure used to project vectors out of null spaces.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNullSpaceDestroy(MatNullSpace *sp)

Collective on MatNullSpace

### Input Parameter

sp -the null space context to be destroyed

### Keywords

PC, null space, destroy

### See Also

MatNullSpaceCreate(), MatNullSpaceRemove(), MatNullSpaceSetFunction()

### Level

advanced

### Location

src/mat/interface/matnull.c

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex50.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ksp/ksp/examples/tutorials/ex66.c.html
src/ksp/ksp/examples/tutorials/ex67.c.html
src/ksp/ksp/examples/tutorials/ex72.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages